hiera_include('classes')

class { 'postgresql::server':
  ip_mask_allow_all_users    => '0.0.0.0/0',
  postgres_password          => 'TPSrep0rt!',
}

postgresql::server::db { 'kong':
  user     => 'kong',
  password => postgresql_password('kong', 'kong'),
}

postgresql::server::pg_hba_rule { 'allow access to kong database':
  description => 'Open up PostgreSQL for access from localhost',
  type        => 'host',
  database    => 'kong',
  user        => 'kong',
  address     => '127.0.0.1/32',
  auth_method => 'trust',
}

postgresql::server::role { 'kong':
  password_hash => postgresql_password('kong', 'kong'),
}

postgresql::server::database_grant { 'kong':
  privilege => 'ALL',
  db        => 'kong',
  role      => 'kong',
}
